# import  the toolbox and call it B
import LT.box as B

# read the data
mf = B.get_file('my_exp_1.data')

# get the data into arrays
t = B.get_data(mf, 'time')
dexp = B.get_data(mf,'dist')
derr = B.get_data(mf, 'd_err')

# get the parameters
T = mf.par.get_value('temperature')
P = mf.par.get_value('pressure')

# print the values in a for loop
for i, D in enumerate(dexp):
    # indentation is important
    print('time = ', t[i], 'distance = ', D, 'error = ', derr[i])
# end of the loop = end of indentation
# plot the data
B.plot_exp(t, dexp, derr)

# fit a line
fit = B.linefit(t, dexp, derr)

# draw the fit result
B.plot_line(fit.xpl, fit.ypl)

# add the labels
B.pl.xlabel('t (sec)')
B.pl.ylabel('Distance (m)')

# make a title with temperature and pressure
B.pl.title('Distance vs time exp. T = {0:.1f}, P = {1:.3e}'.format(T, P))

# show the plot
B.pl.show()

# save the plot as pdf file
B.pl.savefig('my_plot.pdf')

# print the covariance matrix:
print("The Convariance Matrix is : ", fit.cov)

